Draft: Ellisse

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Ellipse and the translation is 18% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Pagina precedente: Draft Arc.svg Arco
Pagina successiva: Poligono Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Ellisse

Posizione nel menu
Draft → Ellisse
Ambiente
Draft, Architettura
Avvio veloce
E L
Introdotto nella versione
0.7
Vedere anche
Circonferenza, Arco

Descrizione

Crea nel corrente piano di lavoro una ellisse inscritta in un rettangolo. Per definire il rettangolo di contenimento inserire due vertici opposti. L'ellisse assume il tipo di linea e il colore impostati in precedenza nella barra di Draft.

Questo strumento può essere utilizzato anche per creare archi ellittici specificando l'angolo di inizio e di fine. Per creare cerchi e archi circolari usare gli strumenti Cerchio e Arco. Si può anche approssimare un arco ellittico o circolare usando gli strumenti B-spline e Curva di Bezier.

Draft ellipse example.jpg

Ellisse definita dagli angoli del rettangolo

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft Ellipse.svg Ellisse, o premere i tasti E e poi L.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un secondo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.

Opzioni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Ellisse si riavvia dopo aver terminato la figura in costruzione, e consente di disegnare una nuova ellisse senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, l'ellisse chiusa crea una faccia piena (DatiMake Face true); in caso contrario, l'ellisse chiusa non crea una faccia (DatiMake Face false).
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse.

Proprietà

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Dati

  • DatiFirst Angle: specifica l'angolo del primo punto dell'ellisse; normalmente 0°.
  • DatiLast Angle: specifica l'angolo dell'ultimo punto dell'ellisse; normalmente 0°.
  • DatiMajor Radius: specifica il raggio maggiore dell'ellisse.
  • DatiMinor Radius: specifica il raggio minore dell'ellisse.
Se entrambi i raggi hanno lo stesso valore, l'ellisse ha lo stesso aspetto di un Cerchio.
  • DatiMake Face: specifica se l'ellisse crea una faccia o no. Se è true viene creata una faccia, altrimenti solo il perimetro è considerato parte dell'oggetto. Questa proprietà funziona solo se la forma è un'ellisse completa.
Per avere un'ellisse completa le proprietà DatiFirst Angle e DatiLast Angle devono avere lo stesso valore; in caso contrario, viene visualizzato un arco ellittico. I valori 0° e 360° sono considerati uguali.

View

Draft

Vista

  • VistaPattern: specifica un Modello di disegno con cui riempire la faccia della forma. Questa proprietà funziona solo se DatiMake Face è true, e se VistaDisplay Mode è "Flat Lines".
  • VistaPattern Size: specifica la dimensione del Modello di disegno.

Scripting

Lo strumento Ellisse può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Crea un oggetto Ellipse dai dati di (majradius) e (minradius) in millimetri.
    • Il valore più grande viene utilizzato per il raggio maggiore (asse X) se non viene fornito nessun altro posizionamento.
  • Se viene dato un placement, esso viene utilizzato; altrimenti la forma viene creata all'origine.
  • Se face è True, l'ellisse crea una faccia, cioè appare riempita.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Arc.svg Arco
Pagina successiva: Poligono Draft Polygon.svg Arrow-right.svg